/* Mrten Norman Februari 1999 */
/* Test+example for the ix-api */

#include "ixapi.h"
#include "ixraw.h"
#include "serial.h"
#include <stdio.h>

main(int argc, char *argv[])
{
  unsigned char buf[256];
  unsigned char cmd, par;
  int buflen;
  int t;
  char c;

  if (t = ICC_Open_Channel("/dev/ttyS1")) {
    printf("Open  failed...  code=%d\n", t);
    exit(0);
  }

/* Show CRD on display for 2 seconds */
  buflen = 256;
  buf[0] = 60; buf[1] = 20;
  t = ICC_Do_Card_Command(buf, 2, buf, &buflen);
  if (t) {
    printf("Displaying CRD failed...  code=%d\n", t);
    exit(0);
  }

  buflen = 256;
  t = ICC_Activate_Card(0, buf, &buflen);
  if (t) {
    printf("Activate failed...  code=%d\n", t);
    exit(0);
  }


  buflen = 256;
  t = ICC_Data_To_Card("\xa0\xa4\0\0\2\0\2", /* Select fabrication file */
		       7,                    /* in Philips DX */
		       buf,
		       &buflen,
		       0
		       );
  if (t) {
    printf("Philips fabrication file select failed...  code=%d\n", t);
    exit(0);
  }

  t = ICC_Deactivate_Card();
  if (t) {
    printf("Dectivate failed...  code=%d\n", t);
    exit(0);
  }
  /* Check modem's opinion of baudrate and other settings! */
  String2Mdm("at\\s\r");
  while (IO_Read(1, &c) != FALSE) putc(c, stdout);

  ICC_Close_Channel();
}
